## Test environments
  
* Linux: Ubuntu 18.04.4LTS  (local)
  - R 3.4.4 (production)
  - R devel 2020-07-28 r78930 (test)
  - R patched 4.0.2 r78930 (test)
* Windows 7 Enterprise (test)
  - R 3.5.1 (test)
  - R 4.0.2 (test)
  
  
## R CMD check results
  
  0 errors | 0 warnings | 0 notes
  
  
## This is a resubmission
  
```
Dear maintainer,
  
Please see the problems shown on
  <https://cran.r-project.org/web/checks/check_results_gmGeostats.html>.
  
  Please correct before 2020-10-03 to safely retain your package on CRAN.
  
The CRAN Team
```
  
... the sympthom being an error while #include <omp.h> in r-release-macos-x86_64, we identified the problem as a lack of appropriate linkage of OpenMP. 
  
Solution: 
  1.- the header inclusion and all usages of #pragma directives were enclosed in conditional structures
#ifdef _OPENMP 
   ...
#endif 
  
   2. `$(SHLIB_OPENMP_CFLAGS)` was added to PKG_CFLAGS and PKG_LIBS fields in Makevars files
  
  NOTE: we do not have access to any MacOS machine to test that our solution is effective. Our apologies if this is not working!